/* MASTERROIDS Installation Program */

call  RxFuncAdd "SysLoadFuncs","RexxUtil","SysLoadFuncs"
call SysLoadFuncs


'@echo off'


Say " "
Say "MASTERROIDS installation program ..."
Say " "
Say "DON'T PANIC :"
Say "       This program doesn't write into any ini-file of your system"
Say "       Also you DON'T have to change your CONFIG.SYS "
Say "       ( and I also will not touch it :-)"
Say " "

/* Is everything at its place */

Say "I'm checking if all files are present ..."

Result=SysFileTree("ALIEN.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : ALIEN.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("CRASH.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : CRASH.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("DANGER.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : DANGER.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("DESTROY.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : DESTROY.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("DIESHLDX.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : DIESHLDX.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("DISAPPR.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : DISAPPR.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("ENEMY.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : ENEMY.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("ESPEED.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : ESPEED.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("EXPLODE.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : EXPLODE.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("EXTRA.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : EXTRA.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("HITSTEEL.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : HITSTEEL.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("HYPER.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : HYPER.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("LASER.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : LASER.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("NEWEXTRA.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : NEWEXTRA.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("NEWLIFE.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : NEWLIFE.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("SHIELD.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : SHIELD.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("SHLDOFF.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : SHLDOFF.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("SHLDON.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : SHLDON.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("SHOT.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : SHOT.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("TAKEPRTC.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : TAKEPRTC.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("TAKESHLD.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : TAKESHLD.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("WARP.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : WARP.WAV - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("INSTALL.CMD", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : INSTALL.CMD - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("MROIDS.EXE", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : MROIDS.EXE - make sure you unpacked all files ..."
                Signal DONE
        End
Result=SysFileTree("MROIDS.ICO", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : MROIDS.ICO - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("MROIDS.DIG", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : MROIDS.DIG - make sure you unpacked all files ..."
                Signal DONE
        End
Result=SysFileTree("MROIDS.PIC", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : MROIDS.PIC - make sure you unpacked all files ..."
                Signal DONE
        End
Result=SysFileTree("MROIDS.CMT", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : MROIDS.CMT - make sure you unpacked all files ..."
                Signal DONE
        End
Result=SysFileTree("MROIDS.INF", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : MROIDS.INF - make sure you unpacked all files ..."
                Say "Without this file you do not have the informations in the Book (*.INF)"
                Say "format used for the OS/2 program VIEW.EXE"
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("MROIDS.HLP", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : MROIDS.HLP - make sure you unpacked all files ..."
                Say "Without this file you will not have any Help functions when the"
                Say "Masterroids program is running."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("MRRESET.EXE", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : MRRESET.EXE - make sure you unpacked all files ..."
                Say "Without this program you cannot reset the MROIDS.INI file to uncritical"
                Say "values if you have changed something in the configuration of MASTERROIDS"
                Say "and then the game crashes every time you try to start it."
                Say "This occurs, when you are using MMPM or the palette manager but you don't"
                Say "have installed MMPM or your OS/2-system has no palette manager."
                Say "See the README.1ST, MROIDS.INF or the Help of Masterroids for more information."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("WAVE.DLL", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : WAVE.DLL - make sure you unpacked all files ..."
                Say "Without this DLL you won't be able to here any sounds while playing."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("WAVEINFO.EXE", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : WAVEINFO.EXE - make sure you unpacked all files ..."
                Say " "
                Say "Continuing with installation "
                Say " "
        End
Result=SysFileTree("README.1ST", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : README.1ST - make sure you unpacked all files ..."
                Say "This file is very important - it tells you how to register :-)"
                Signal DONE
        End
Result=SysFileTree("ORDER.FRM", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : ORDER.FRM - make sure you unpacked all files ..."
                Say "This file is very important - it tells you how to register :-)"
                Signal DONE
        End
Say "All neccessary files found ...Ok"

Say " "
Say "Do you want me to copy the files to another directory ?"
Say "       This directory does NOT need to be specified in any of your paths"
Say "(Y/N) ? ( Default = N )"
Pull YesNo
If YesNo="Y" Then
Do
        Say " "
        Say "Please enter the full path of the desired directory ..."
        Pull Directory
        Result=SysFileTree(Directory,'Dirs','D')
        /*
        if Dirs.0=0 Then
        */
        Do
                if Dirs.0=0 then
                Do
                   If SysMkDir(Directory) then
                   Do
                        Say "ERROR : Can't CREATE your desired directory"
                        Signal DONE
                   End
                   else
                   do
                      say "Directory" Directory "created. Ok."
                   end
                End
                /* Copying Files*/
                Say "Copying..."

                Copy "ALIEN.WAV" Directory   '1>NUL'
                Copy "BLASTER.WAV" Directory   '1>NUL'
                Copy "CRASH.WAV" Directory   '1>NUL'
                Copy "DANGER.WAV" Directory   '1>NUL'
                Copy "DESTROY.WAV" Directory   '1>NUL'
                Copy "DIESHLDX.WAV" Directory   '1>NUL'
                Copy "DISAPPR.WAV" Directory   '1>NUL'
                Copy "ENEMY.WAV" Directory   '1>NUL'
                Copy "ESPEED.WAV" Directory   '1>NUL'
                Copy "EXPLODE.WAV" Directory   '1>NUL'
                Copy "EXTRA.WAV" Directory   '1>NUL'
                Copy "HITSTEEL.WAV" Directory   '1>NUL'
                Copy "HYPER.WAV" Directory   '1>NUL'
                Copy "LASER.WAV" Directory   '1>NUL'
                Copy "NEWEXTRA.WAV" Directory   '1>NUL'
                Copy "NEWLIFE.WAV" Directory   '1>NUL'
                Copy "PLASMA.WAV" Directory   '1>NUL'
                Copy "SHIELD.WAV" Directory   '1>NUL'
                Copy "SHLDOFF.WAV" Directory   '1>NUL'
                Copy "SHLDON.WAV" Directory   '1>NUL'
                Copy "SHOT.WAV" Directory   '1>NUL'
                Copy "TAKEPRTC.WAV" Directory   '1>NUL'
                Copy "TAKESHLD.WAV" Directory   '1>NUL'
                Copy "TAKETGUN.WAV" Directory   '1>NUL'
                Copy "TGUNROT.WAV" Directory   '1>NUL'
                Copy "THRUST.WAV" Directory   '1>NUL'
                Copy "TRANSFRM.WAV" Directory   '1>NUL'
                Copy "WARP.WAV" Directory   '1>NUL'
                Copy "INSTALL.CMD" Directory   '1>NUL'
                Copy "MROIDS.EXE" Directory   '1>NUL'
                Copy "MROIDS.ICO" Directory   '1>NUL'
                Copy "MROIDS.DIG" Directory   '1>NUL'
                Copy "MROIDS.PIC" Directory   '1>NUL'
                Copy "MROIDS.CMT" Directory   '1>NUL'
                Copy "MROIDS.INF" Directory   '1>NUL'
                Copy "MROIDS.HLP" Directory   '1>NUL'
                Copy "MRRESET.EXE" Directory   '1>NUL'
                Copy "WAVE.DLL" Directory   '1>NUL'
                Copy "WAVEINFO.EXE" Directory   '1>NUL'
                Copy "README.1ST" Directory   '1>NUL'
                Copy "ORDER.FRM" Directory   '1>NUL'

                say "Ok."
        End
End
Else
Do
        Directory=Directory()
End

Say " "
Say "Do you want me to create a program object ...?"
Say "(Y/N) ? ( Default = Y )"
Pull YesNo
If YesNo="N" Then   Signal ENDE
Else
        Do
                Folder="<WP_DESKTOP>" 
                Type="WPProgram"
                Title="MASTERROIDS"
                Params="EXENAME="Directory"\MROIDS.EXE;STARTUPDIR="Directory";"
                If SysCreateObject(Type,Title,Folder,Params,"ReplaceIfExists") Then
                Do
                        Say " "
                        Say "MASTERROIDS Program object created successfully !"
                End
                Else
                Do
                        Say "Could't create MASTERROIDS Program object."
                        Signal DONE
                End

        End
ENDE:
Say " "
Say " To start the game simply go into the directory where you have installed "
Say " the game and type MROIDS "
Say " "
Say " HAVE FUN WITH MASTERROIDS V1.1"
Say " "
DONE:
Say " "
Say " SOME NEW FEATURES :"
Say " -  A Popup Menu appears when clicking with the right mouse button"
Say "    into the game area. It provides the same menu functions as the"
Say "    main menu."
Say " -  Joystick support."
Say " -  Deadly bullets which can destroy other spacecrafts."
Say " -  Help file MROIDS.HLP and Book file MROIDS.INF (both the same)"
Say "    instead of an annoying Readme."
Say " "
Say " For more infos on these and other new features, please look into MROIDS.HLP"
Say " "
Say " One last note:"
Say " If you still have EMX.DLL with Masterroids (from Version 0.9), you can"
Say " delete this one. It won't be needed any more."
Say " "
Exit
